NX Open C++ Reference Guide
|
Represents the NX Sheetmetal preferences applicable to part
Preferences are in control of the part.
More...
Classes | |
struct | FlatPatternCalloutTypeDisplay |
The members of the following structure are the display data for a callout in a flat pattern drawing member view. More... | |
struct | FlatPatternObjectTypeDisplay |
The members of the following structure are the display data for an object in a flat pattern drawing member view. More... | |
Public Member Functions | |
void | Commit () |
Commits and applies all the settings done with set_callout_type_display and set_object_type_display. | |
NXString | GetBendAllowanceFormula () |
RETURNS the bend allowance formula. | |
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions | GetBendDefinitionMethodOption () |
RETURNS the bend definition method. | |
NXOpen::Expression * | GetBendRadius () |
RETURNS the bend radius expression. | |
NXOpen::Expression * | GetBendReliefDepth () |
RETURNS the bend relief depth. | |
NXOpen::Expression * | GetBendReliefWidth () |
RETURNS the bend relief width. | |
NXString | GetBendTable () |
RETURNS the bend table name. | |
double | GetDeviationalToleranceInFlatSolid () |
RETURNS the deviational tolerance during Flat Solid simplification. | |
void | GetFlatPatternAllCalloutTypeDisplay (std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay > &displayData) |
Returns the dialog names, identifiers, and enabled status for all the available callout types. | |
void | GetFlatPatternAllObjectTypeDisplay (std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay > &displayData) |
Returns the types, colors, fonts, widths, and enabled status for all the the available object types. | |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType | GetFlatPatternCalloutOrientationType () |
Returns the orientation type for flat pattern callouts. | |
std::vector< NXString > | GetFlatPatternCalloutTypeContents (const NXString &calloutType) |
Returns the contents for a callout type. | |
std::vector< NXString > | GetFlatPatternCalloutTypeContents (const char *calloutType) |
Returns the contents for a callout type. | |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay | GetFlatPatternCalloutTypeDisplay (const NXString &calloutType) |
Returns the display data for a callout type. | |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay | GetFlatPatternCalloutTypeDisplay (const char *calloutType) |
Returns the display data for a callout type. | |
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay | GetFlatPatternObjectTypeDisplay (NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType objectType) |
Returns the display data for a flat pattern object type. | |
NXOpen::NXColor * | GetFlexibleCableBottomFaceColor () |
RETURNS the bottom face color. | |
NXOpen::NXColor * | GetFlexibleCableTopFaceColor () |
RETURNS the top face color. | |
NXOpen::Features::SheetMetal::FeatureProperty | GetInnerCornerTreatmentType () |
RETURNS the inner corner treatment type in Flat as Solid operation. | |
NXOpen::Expression * | GetInnerCornerTreatmentValue () |
RETURNS the inner corner treatment value for Flat as Solid operations. | |
bool | GetIsBsplineSimplifiedInFlatSolid () |
RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation. | |
bool | GetIsSystemGeneratedBendReliefRemovedInFlatSolid () |
RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation. | |
bool | GetMaintainCircularShapeForHolesInFlatSolid () |
Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation. | |
NXString | GetMaterial () |
RETURNS the material name saved with the part. | |
std::vector< NXString > | GetMaterialNames () |
RETURNS the material names defined in the material standards table. | |
std::vector< NXString > | GetMaterialProperties (const NXString &materialName, std::vector< NXString > &propertyNames) |
RETURNS the material name saved with the part. | |
std::vector< NXString > | GetMaterialProperties (const char *materialName, std::vector< NXString > &propertyNames) |
RETURNS the material name saved with the part. | |
double | GetMinimumArcToleranceInFlatSolid () |
RETURNS the minimum arc tolerance during Flat Solid simplification. | |
NXOpen::Expression * | GetMinimumToolClearance () |
Returns the minimum tool clearance expression. | |
NXOpen::Expression * | GetMinimumWebLength () |
Returns the minimum Web Length expression. | |
NXOpen::Expression * | GetNeutralFactor () |
RETURNS the neutral factor. | |
NXOpen::Features::SheetMetal::FeatureProperty | GetOuterCornerTreatmentType () |
RETURNS the outer corner treatment type in Flat as Solid operation. | |
NXOpen::Expression * | GetOuterCornerTreatmentValue () |
RETURNS the out corner treatment value for Flat as Solid operations. | |
NXOpen::Expression * | GetThickness () |
RETURNS the thickness expression. | |
NXString | GetTool () |
Returns the tool name saved with the part. | |
std::vector< NXString > | GetToolNames () |
Returns the tool names defined in the material standards table. | |
std::vector< NXString > | GetToolProperties (const NXString &toolName, std::vector< NXString > &propertyNames) |
Returns the tool properties saved with the part. | |
std::vector< NXString > | GetToolProperties (const char *toolName, std::vector< NXString > &propertyNames) |
Returns the tool properties saved with the part. | |
void | SetBendAllowanceFormula (bool updateModel, const NXString &bendAllowanceFormula) |
SETS the bend allowance formula Created in NX5.0.0. | |
void | SetBendAllowanceFormula (bool updateModel, const char *bendAllowanceFormula) |
SETS the bend allowance formula Created in NX5.0.0. | |
void | SetBendDefinitionMethodOption (bool updateModel, NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions bendDefinitionMethod) |
SETS the bend definition method Created in NX5.0.0. | |
void | SetBendRadius (bool updateModel, const NXString &bendRadius) |
The bend radius value Created in NX4.0.0. | |
void | SetBendRadius (bool updateModel, const char *bendRadius) |
The bend radius value Created in NX4.0.0. | |
void | SetBendReliefDepth (bool updateModel, const NXString &bendReliefDepth) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefDepth (bool updateModel, const char *bendReliefDepth) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefWidth (bool updateModel, const NXString &bendReliefWidth) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetBendReliefWidth (bool updateModel, const char *bendReliefWidth) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetBendTable (bool updateModel, const NXString &bendTable) |
SETS the bend table name Created in NX5.0.0. | |
void | SetBendTable (bool updateModel, const char *bendTable) |
SETS the bend table name Created in NX5.0.0. | |
void | SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid) |
SETS the deviational tolerance during Flat Solid simplification Created in NX4.0.0. | |
void | SetFlatPatternCalloutOrientationType (NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType orientation) |
Sets the orientation type for flat pattern callouts. | |
void | SetFlatPatternCalloutTypeContents (const NXString &calloutType, std::vector< NXString > &contents) |
Sets the contents for a callout type. | |
void | SetFlatPatternCalloutTypeContents (const char *calloutType, std::vector< NXString > &contents) |
Sets the contents for a callout type. | |
void | SetFlatPatternCalloutTypeDisplay (const NXString &calloutType, const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay &displayData) |
Sets the display data for a callout type. | |
void | SetFlatPatternCalloutTypeDisplay (const char *calloutType, const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay &displayData) |
Sets the display data for a callout type. | |
void | SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType objectType, const NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay &displayData) |
Sets the display data for a flat pattern object type. | |
void | SetFlexibleCableBottomFaceColor (NXOpen::NXColor *bottomFaceColor) |
THE bottom face color. | |
void | SetFlexibleCableTopFaceColor (NXOpen::NXColor *topFaceColor) |
THE top face color. | |
void | SetInnerCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty innerCornerTreatmentType) |
SETS the inner corner treatment type in Flat as Solid operation Created in NX4.0.0. | |
void | SetInnerCornerTreatmentValue (bool updateModel, const NXString &innerCornerTreatment) |
SETS the inner corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetInnerCornerTreatmentValue (bool updateModel, const char *innerCornerTreatment) |
SETS the inner corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid) |
SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation Created in NX4.0.0. | |
void | SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved) |
SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation Created in NX4.0.0. | |
void | SetMaintainCircularShapeForHolesInFlatSolid (bool updateModel, bool isMaintainCircularShapeForHoles) |
Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation Created in NX6.0.0. | |
void | SetMaterial (bool updateModel, const NXString &standardName) |
The material standard Created in NX4.0.0. | |
void | SetMaterial (bool updateModel, const char *standardName) |
The material standard Created in NX4.0.0. | |
void | SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid) |
SETS the minimum arc tolerance during Flat Solid simplification Created in NX4.0.0. | |
void | SetMinimumToolClearance (bool updateModel, const NXString &minToolClearance) |
Sets minimum tool clearance expression Created in NX6.0.0. | |
void | SetMinimumToolClearance (bool updateModel, const char *minToolClearance) |
Sets minimum tool clearance expression Created in NX6.0.0. | |
void | SetMinimumWebLength (bool updateModel, const NXString &minWebLength) |
Sets minimum Web Length expression Created in NX6.0.0. | |
void | SetMinimumWebLength (bool updateModel, const char *minWebLength) |
Sets minimum Web Length expression Created in NX6.0.0. | |
void | SetNeutralFactor (bool updateModel, const NXString &neutralFactor) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetNeutralFactor (bool updateModel, const char *neutralFactor) |
THE bend relief depth value Created in NX4.0.0. | |
void | SetOuterCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty outerCornerTreatmentType) |
SETS the outer corner treatment type in Flat as Solid operation Created in NX4.0.0. | |
void | SetOuterCornerTreatmentValue (bool updateModel, const NXString &outerCornerTreatment) |
THE outer corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetOuterCornerTreatmentValue (bool updateModel, const char *outerCornerTreatment) |
THE outer corner treatment value for Flat as Solid operations Created in NX4.0.0. | |
void | SetThickness (bool updateModel, const NXString &thickness) |
THE thickness value string Created in NX4.0.0. | |
void | SetThickness (bool updateModel, const char *thickness) |
THE thickness value string Created in NX4.0.0. | |
void | SetTool (bool updateModel, const NXString &standardName) |
The tool standard Created in NX6.0.0. | |
void | SetTool (bool updateModel, const char *standardName) |
The tool standard Created in NX6.0.0. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the NX Sheetmetal preferences applicable to part
Preferences are in control of the part.
They can not be created but can only be changed.
Created in NX4.0.0.
This enum represents the bend definition method options in preferences.
<br> This is used to specify the bend definition method. You can choose to use a global Neutral Factor value OR a Bend Table OR a Bend Allowance Formula OR a Material Table. <br>
Created in NX5.0.0.
The members of the following enumerated type are used to identify object types to the FlatPattern API.
These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.
void NXOpen::Preferences::PartSheetmetal::Commit | ( | ) |
Commits and applies all the settings done with set_callout_type_display and set_object_type_display.
It must be called after a sequence of calls to those methods to cause the view to update.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetBendAllowanceFormula | ( | ) |
RETURNS the bend allowance formula.
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions NXOpen::Preferences::PartSheetmetal::GetBendDefinitionMethodOption | ( | ) |
RETURNS the bend definition method.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendRadius | ( | ) |
RETURNS the bend radius expression.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendReliefDepth | ( | ) |
RETURNS the bend relief depth.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendReliefWidth | ( | ) |
RETURNS the bend relief width.
NXString NXOpen::Preferences::PartSheetmetal::GetBendTable | ( | ) |
RETURNS the bend table name.
double NXOpen::Preferences::PartSheetmetal::GetDeviationalToleranceInFlatSolid | ( | ) |
RETURNS the deviational tolerance during Flat Solid simplification.
void NXOpen::Preferences::PartSheetmetal::GetFlatPatternAllCalloutTypeDisplay | ( | std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay > & | displayData | ) |
Returns the dialog names, identifiers, and enabled status for all the available callout types.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
displayData | Array of structures with the callout type display data. |
void NXOpen::Preferences::PartSheetmetal::GetFlatPatternAllObjectTypeDisplay | ( | std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay > & | displayData | ) |
Returns the types, colors, fonts, widths, and enabled status for all the the available object types.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
displayData | Array of structures with the object type display data. |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutOrientationType | ( | ) |
Returns the orientation type for flat pattern callouts.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeContents | ( | const NXString & | calloutType | ) |
Returns the contents for a callout type.
calloutType | The name of the callout type for which to get the content. |
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeContents | ( | const char * | calloutType | ) |
Returns the contents for a callout type.
calloutType | The name of the callout type for which to get the content. |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeDisplay | ( | const NXString & | calloutType | ) |
Returns the display data for a callout type.
The name member of the Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.
calloutType | The name of the callout type for which to get the display data. |
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeDisplay | ( | const char * | calloutType | ) |
Returns the display data for a callout type.
The name member of the Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.
calloutType | The name of the callout type for which to get the display data. |
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternObjectTypeDisplay | ( | NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType | objectType | ) |
Returns the display data for a flat pattern object type.
objectType | The object type for which to return the display data. |
NXOpen::NXColor* NXOpen::Preferences::PartSheetmetal::GetFlexibleCableBottomFaceColor | ( | ) |
RETURNS the bottom face color.
NXOpen::NXColor* NXOpen::Preferences::PartSheetmetal::GetFlexibleCableTopFaceColor | ( | ) |
RETURNS the top face color.
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartSheetmetal::GetInnerCornerTreatmentType | ( | ) |
RETURNS the inner corner treatment type in Flat as Solid operation.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetInnerCornerTreatmentValue | ( | ) |
RETURNS the inner corner treatment value for Flat as Solid operations.
bool NXOpen::Preferences::PartSheetmetal::GetIsBsplineSimplifiedInFlatSolid | ( | ) |
RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation.
bool NXOpen::Preferences::PartSheetmetal::GetIsSystemGeneratedBendReliefRemovedInFlatSolid | ( | ) |
RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation.
bool NXOpen::Preferences::PartSheetmetal::GetMaintainCircularShapeForHolesInFlatSolid | ( | ) |
Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation.
NXString NXOpen::Preferences::PartSheetmetal::GetMaterial | ( | ) |
RETURNS the material name saved with the part.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialNames | ( | ) |
RETURNS the material names defined in the material standards table.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialProperties | ( | const NXString & | materialName, |
std::vector< NXString > & | propertyNames | ||
) |
RETURNS the material name saved with the part.
materialName | material Name |
propertyNames | property Names |
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialProperties | ( | const char * | materialName, |
std::vector< NXString > & | propertyNames | ||
) |
RETURNS the material name saved with the part.
materialName | material Name |
propertyNames | property Names |
double NXOpen::Preferences::PartSheetmetal::GetMinimumArcToleranceInFlatSolid | ( | ) |
RETURNS the minimum arc tolerance during Flat Solid simplification.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetMinimumToolClearance | ( | ) |
Returns the minimum tool clearance expression.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetMinimumWebLength | ( | ) |
Returns the minimum Web Length expression.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetNeutralFactor | ( | ) |
RETURNS the neutral factor.
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartSheetmetal::GetOuterCornerTreatmentType | ( | ) |
RETURNS the outer corner treatment type in Flat as Solid operation.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetOuterCornerTreatmentValue | ( | ) |
RETURNS the out corner treatment value for Flat as Solid operations.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetThickness | ( | ) |
RETURNS the thickness expression.
NXString NXOpen::Preferences::PartSheetmetal::GetTool | ( | ) |
Returns the tool name saved with the part.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolNames | ( | ) |
Returns the tool names defined in the material standards table.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolProperties | ( | const NXString & | toolName, |
std::vector< NXString > & | propertyNames | ||
) |
Returns the tool properties saved with the part.
toolName | tool Name |
propertyNames | property Names |
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolProperties | ( | const char * | toolName, |
std::vector< NXString > & | propertyNames | ||
) |
Returns the tool properties saved with the part.
toolName | tool Name |
propertyNames | property Names |
void NXOpen::Preferences::PartSheetmetal::SetBendAllowanceFormula | ( | bool | updateModel, |
const NXString & | bendAllowanceFormula | ||
) |
SETS the bend allowance formula
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendAllowanceFormula | bend allowance formula |
void NXOpen::Preferences::PartSheetmetal::SetBendAllowanceFormula | ( | bool | updateModel, |
const char * | bendAllowanceFormula | ||
) |
SETS the bend allowance formula
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendAllowanceFormula | bend allowance formula |
void NXOpen::Preferences::PartSheetmetal::SetBendDefinitionMethodOption | ( | bool | updateModel, |
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions | bendDefinitionMethod | ||
) |
SETS the bend definition method
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendDefinitionMethod | bend definition method option |
void NXOpen::Preferences::PartSheetmetal::SetBendRadius | ( | bool | updateModel, |
const NXString & | bendRadius | ||
) |
The bend radius value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendRadius | default bend radius value for bend faces NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendRadius | ( | bool | updateModel, |
const char * | bendRadius | ||
) |
The bend radius value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendRadius | default bend radius value for bend faces NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendReliefDepth | ( | bool | updateModel, |
const NXString & | bendReliefDepth | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefDepth | default depth value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendReliefDepth | ( | bool | updateModel, |
const char * | bendReliefDepth | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefDepth | default depth value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendReliefWidth | ( | bool | updateModel, |
const NXString & | bendReliefWidth | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefWidth | default width value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendReliefWidth | ( | bool | updateModel, |
const char * | bendReliefWidth | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendReliefWidth | default width value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetBendTable | ( | bool | updateModel, |
const NXString & | bendTable | ||
) |
SETS the bend table name
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendTable | bend table name |
void NXOpen::Preferences::PartSheetmetal::SetBendTable | ( | bool | updateModel, |
const char * | bendTable | ||
) |
SETS the bend table name
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
bendTable | bend table name |
void NXOpen::Preferences::PartSheetmetal::SetDeviationalToleranceInFlatSolid | ( | bool | updateModel, |
double | deviationalToleranceInFlatSolid | ||
) |
SETS the deviational tolerance during Flat Solid simplification
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
deviationalToleranceInFlatSolid | flag |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutOrientationType | ( | NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType | orientation | ) |
Sets the orientation type for flat pattern callouts.
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
orientation | The orientation type for the flat pattern callouts. |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeContents | ( | const NXString & | calloutType, |
std::vector< NXString > & | contents | ||
) |
Sets the contents for a callout type.
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
calloutType | The name of the callout type for which to set the content. |
contents | The contents for the callout type. |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeContents | ( | const char * | calloutType, |
std::vector< NXString > & | contents | ||
) |
Sets the contents for a callout type.
Created in NX9.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
calloutType | The name of the callout type for which to set the content. |
contents | The contents for the callout type. |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeDisplay | ( | const NXString & | calloutType, |
const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay & | displayData | ||
) |
Sets the display data for a callout type.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
calloutType | The name of the callout type for which to set the display data. |
displayData | The display data for the callout type. |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeDisplay | ( | const char * | calloutType, |
const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay & | displayData | ||
) |
Sets the display data for a callout type.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
calloutType | The name of the callout type for which to set the display data. |
displayData | The display data for the callout type. |
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternObjectTypeDisplay | ( | bool | updateModel, |
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType | objectType, | ||
const NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay & | displayData | ||
) |
Sets the display data for a flat pattern object type.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately. |
objectType | The object type for which to get the display data. |
displayData | The display data for the flat pattern object type. |
void NXOpen::Preferences::PartSheetmetal::SetFlexibleCableBottomFaceColor | ( | NXOpen::NXColor * | bottomFaceColor | ) |
THE bottom face color.
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
bottomFaceColor | bottomfacecolor |
void NXOpen::Preferences::PartSheetmetal::SetFlexibleCableTopFaceColor | ( | NXOpen::NXColor * | topFaceColor | ) |
THE top face color.
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
topFaceColor | topfacecolor |
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentType | ( | bool | updateModel, |
NXOpen::Features::SheetMetal::FeatureProperty | innerCornerTreatmentType | ||
) |
SETS the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatmentType | outer corner treatment type |
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentValue | ( | bool | updateModel, |
const NXString & | innerCornerTreatment | ||
) |
SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatment | default value for inner corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentValue | ( | bool | updateModel, |
const char * | innerCornerTreatment | ||
) |
SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
innerCornerTreatment | default value for inner corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetIsBsplineSimplifiedInFlatSolid | ( | bool | updateModel, |
bool | isBsplineSimplifiedInFlatSolid | ||
) |
SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
isBsplineSimplifiedInFlatSolid | flag |
void NXOpen::Preferences::PartSheetmetal::SetIsSystemGeneratedBendReliefRemovedInFlatSolid | ( | bool | updateModel, |
bool | isSystemGeneratedBendReliefRemoved | ||
) |
SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
isSystemGeneratedBendReliefRemoved | flag |
void NXOpen::Preferences::PartSheetmetal::SetMaintainCircularShapeForHolesInFlatSolid | ( | bool | updateModel, |
bool | isMaintainCircularShapeForHoles | ||
) |
Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
isMaintainCircularShapeForHoles | flag |
void NXOpen::Preferences::PartSheetmetal::SetMaterial | ( | bool | updateModel, |
const NXString & | standardName | ||
) |
The material standard
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a material from the material standards file |
void NXOpen::Preferences::PartSheetmetal::SetMaterial | ( | bool | updateModel, |
const char * | standardName | ||
) |
The material standard
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a material from the material standards file |
void NXOpen::Preferences::PartSheetmetal::SetMinimumArcToleranceInFlatSolid | ( | bool | updateModel, |
double | minimumArcToleranceInFlatSolid | ||
) |
SETS the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
minimumArcToleranceInFlatSolid | flag |
void NXOpen::Preferences::PartSheetmetal::SetMinimumToolClearance | ( | bool | updateModel, |
const NXString & | minToolClearance | ||
) |
Sets minimum tool clearance expression
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the model be updated immediately |
minToolClearance | minimum tool clearance value for NX Sheetmetal model NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetMinimumToolClearance | ( | bool | updateModel, |
const char * | minToolClearance | ||
) |
Sets minimum tool clearance expression
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the model be updated immediately |
minToolClearance | minimum tool clearance value for NX Sheetmetal model NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetMinimumWebLength | ( | bool | updateModel, |
const NXString & | minWebLength | ||
) |
Sets minimum Web Length expression
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
minWebLength | minimum Web Length value for NX Sheetmetal model NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetMinimumWebLength | ( | bool | updateModel, |
const char * | minWebLength | ||
) |
Sets minimum Web Length expression
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
minWebLength | minimum Web Length value for NX Sheetmetal model NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetNeutralFactor | ( | bool | updateModel, |
const NXString & | neutralFactor | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
neutralFactor | default neutral factor value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetNeutralFactor | ( | bool | updateModel, |
const char * | neutralFactor | ||
) |
THE bend relief depth value
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
neutralFactor | default neutral factor value for bend relief NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentType | ( | bool | updateModel, |
NXOpen::Features::SheetMetal::FeatureProperty | outerCornerTreatmentType | ||
) |
SETS the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatmentType | outer corner treatment type |
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentValue | ( | bool | updateModel, |
const NXString & | outerCornerTreatment | ||
) |
THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatment | default value for out corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentValue | ( | bool | updateModel, |
const char * | outerCornerTreatment | ||
) |
THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
outerCornerTreatment | default value for out corner treatment NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetThickness | ( | bool | updateModel, |
const NXString & | thickness | ||
) |
THE thickness value string
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
thickness | default thickness value for NX Sheetmetal solids NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetThickness | ( | bool | updateModel, |
const char * | thickness | ||
) |
THE thickness value string
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
thickness | default thickness value for NX Sheetmetal solids NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Preferences::PartSheetmetal::SetTool | ( | bool | updateModel, |
const NXString & | standardName | ||
) |
The tool standard
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a tool from the material standards file |
void NXOpen::Preferences::PartSheetmetal::SetTool | ( | bool | updateModel, |
const char * | standardName | ||
) |
The tool standard
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
updateModel | Specifies whether the solid model be recomputed immediately |
standardName | The name of a tool from the material standards file |
tag_t NXOpen::Preferences::PartSheetmetal::Tag | ( | ) | const |
Returns the tag of this object.